#
# spec file for package python-progressbar
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-progressbar
Version:        2.3+hg20121105.3c94a3a1ebe1
Release:        12.1
Summary:        Text Progressbar Library for Python
License:        LGPL-2.1+ or BSD-3-Clause
Group:          Development/Libraries/Python
Url:            http://code.google.com/p/python-progressbar/
Source:         progressbar-%{version}.tar.bz2
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This library provides a text mode progressbar. This is tipically used to
display the progress of a long running operation, providing a visual clue that
processing is underway.

%prep
%setup -q -n progressbar
sed -i "/\/usr\/bin\/python/d" progressbar/*.py  # Correctly fix non-executable-script warning

%build
python setup.py build

%install
python setup.py install --prefix="%{_prefix}" --root=%{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.txt README.txt examples.py
%{python_sitelib}/progressbar/
%{python_sitelib}/progressbar-2.3-py%{py_ver}.egg-info

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Nov  5 2012 saschpe@suse.de
- Update to 2.3+hg20121105.3c94a3a1ebe1
  + See mercurial changes
* Wed May 23 2012 highwaystar.ru@gmail.com
- python3 package added
- slight spec improvement
* Tue Jan 31 2012 cfarrell@suse.com
- license update: LGPL-2.1+ or BSD-3-Clause
  Look at License.txt
* Tue Jan 31 2012 saschpe@suse.de
- Add a %%changelog line
* Tue Jan 31 2012 saschpe@suse.de
- Spec file cleanup:
  * Simplified macro mania
  * Removed unused build requirements
  * Set license to SDPX style (LGPL-3.0+)
* Thu Jun 16 2011 pascal.bleser@opensuse.org
- initial version (2.3)
